Cannot migrate plugins or create session_store after update

2009-08-02 10:22 - Louis Delacretaz

Status: Closed Start date: 2009-08-02

Priority: Normal Due date: 2013-02-13

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 0.8.4

Description

Hi

I updated a SVN working copy from version 0.8.0 to 0.8.4 b2833 following the upgrade document 

http://www.redmine.org/wiki/redmine/RedmineUpgrade

however I got "Don't know how to build task " errors for the following two commands

step4.2 rake db:migrate:upgrade_plugin_migrations RAIL_ENV="production"

and

rake config/initializers/session_store.rb

of course there is no session_store.rb created and it dont work :(

ErrorLog : (OS 10061)No connection could be made because the target machine actively refused it.

Mysql 5.027, Ruby 1.8.6, Gems 1.3.5, Rails 2.2.2

History

#1 - 2009-08-02 18:00 - Eric Davis

Louis Delacretaz:

Can you include the full output from the rake commands when you run it with --trace

rake config/initializers/session_store.rb --trace

#2 - 2009-08-03 00:20 - Louis Delacretaz

hmm, both have the same trace, also I note the rake -T does not display

the db:migrate:upgrade_plugin_migrations as an available task

(in D:/www/redmine)

rake aborted

Don't know how to build task 'config/initializers/session_store.rb'

c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1706:in '[]'

c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2018:in 'invoke task'

c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in 'top_level'

c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in 'each'

c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in 'top_level'

c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2036:in 'standard_exception_handling'

c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1991:in 'top_level'

c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1970:in 'run'

c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2036:in 'standard_exception_handling'

c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1967:in 'run'

c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake:31

c:/ruby/bin/rake:16:in 'load'

c:/ruby/bin/rake:16

rake aborted

Don't know how to build task 'db:migrate:upgrade_plugin_migrations'

c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1706:in '[]'

c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2018:in 'invoke task'

c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in 'top_level'

c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in 'each'
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in 'top_level'

c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2036:in 'standard_exception_handling'

c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1991:in 'top_level'

c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1970:in 'run'

c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2036:in 'standard_exception_handling'

c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1967:in 'run'

c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake:31

c:/ruby/bin/rake:16:in 'load'

c:/ruby/bin/rake:16

#3 - 2009-08-04 02:51 - Louis Delacretaz

These errors not the actual cause of Redmine not working -

Fault was Mongrel calling the wrong directory name. renaming  ...\gems\mongrel_service-0.3.4-i386-mswin32 to

...\gems\mongrel_service-0.3.4-x86-mswin32 lets it all run.

Still getting the rake errors but they appear to have no impact on the upgrade.

#4 - 2013-02-06 09:35 - Daniel Felix

- Due date set to 2013-02-13

- Status changed from New to Needs feedback

This doesn't seem to relate to redmine itself. I can upgrade my installations on every server.

If there is no other feedback on this, I'm going to close this next week.

#5 - 2013-03-17 18:13 - Daniel Felix

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

I'm closing this, since there is no feedback on this issue and the issue is very outdated.
